
Figure - Bug #116921
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】先全屏进入图片的编辑页面，再切换至小窗模式，被编辑的图片显示不完整
2023-03-13 15:13 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-13

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 从Recent里面启动的时候会保留之前的配置,所有也会使用横屏的配置,导致在小窗情况下显示异常

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开图库

2、选择一张图片进行编辑页面

3、进入任务管理器

4、点击图库卡片的小窗按钮

5、查看页面显示

【预期结果】

5、页面显示正常

【实际结果】

5、被编辑的图片显示不完整

History

#1 - 2023-03-13 16:59 - CD FW-鲁凯峰

- Category changed from CD-FW to 窗口定制

#2 - 2023-03-13 20:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187231 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

FW:Gallery2: update filter show layout when multi mode changedforce to use port layout in freeform modeTC-RID: 1201-0300701IssueID:

TS-R-BUG-116921Change-Id: I5d70b5e60026ccfe735e0cdbd10bf999a14cf8f8

#3 - 2023-03-13 20:50 - CD FW-鲁凯峰
- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 从Recent里面启动的时候会保留之前的配置,所有也会使用横屏的配置,导致在小窗情况下显示异常

■ Current conclusion

问题已经解决

■ My analysis

从Recent里面启动的时候会保留之前的配置,所有也会使用横屏的配置,导致在小窗情况下显示异常

修改方法是在小窗模式下强制使用竖屏的布局

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/Gallery2/+/187231

#4 - 2023-03-14 16:33 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

3.14

验证通过

#5 - 2023-03-14 16:33 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
